## changetrack 3.7-3

=== Makefile ===
# Makefile for the changetrack Debian package.

# The original changetrack source does not include a Makefile,
# so this file only serves the creation of a Debian package.

DESTDIR =
BIN     = $(DESTDIR)/usr/bin
MAN     = $(DESTDIR)/usr/share/man/man1
ETC     = $(DESTDIR)/etc
LIB     = $(DESTDIR)/var/lib/changetrack

install: changetrack.1
	install -d $(BIN) $(MAN) $(ETC) $(DEF)
	install -d -m700 $(LIB)
	install -m755 ./changetrack $(BIN)
	install -m644 ./changetrack.1 $(MAN)
	install -m644 ./changetrack.conf $(ETC)

changetrack.1: changetrack.man
	cp $^ $@

clean:
	rm -f changetrack.1

=== debian/changelog ===
changetrack (3.7-3) unstable; urgency=low

  * Removed /etc/default/changetrack from conffiles and specifically
    remove it in postrm.

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 29 Nov 2001 13:34:50 +0100

changetrack (3.7-2) unstable; urgency=high

  * Changed sender address to "changetrack@localhost".

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 29 Nov 2001 13:34:50 +0100

changetrack (3.7-1) unstable; urgency=low

  * New upstream version: make program quieter when desired.
  * Do not overwrite existing default file /etc/default/changetrack 
    if it exists (postinst).
  * Bumped Standards-Version: 3.5.6.

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed, 28 Nov 2001 12:42:25 +0100

changetrack (3.6-4) unstable; urgency=low

  * Fix the permission in of /var/lib/changetrack in postinst.

 -- Jens Peter Secher <jpsecher@diku.dk>  Mon, 29 Oct 2001 10:25:17 +0100

changetrack (3.6-3) unstable; urgency=high

  * Fix the permission of /var/lib/changetrack by excluding it from
    dh_fixperms treatment.                           (closes: bug#117075)
  * Removed obsolete info from man page.
  * Additional clean-up.

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 26 Oct 2001 09:56:53 +0200

changetrack (3.6-2) unstable; urgency=low

  * In postrm: "rm -rf /var/lib/changetrack/*" 
           --> "rm -rf /var/lib/changetrack" .

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri,  5 Oct 2001 09:17:51 +0200

changetrack (3.6-1) unstable; urgency=low

  * New upstream release

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed,  3 Oct 2001 09:53:03 +0200

changetrack (3.5-4) unstable; urgency=low

  * Changed "Build-Depends" to "Build-Depends-Indep" in control, as required
    by policy 7.6.
  * Changed "Upstream Authors" to "Upstream Author".
  * Added a debian/watch file to facilitate automatic upstream updates.

 -- Jens Peter Secher <jpsecher@diku.dk>  Wed,  3 Oct 2001 09:42:20 +0200

changetrack (3.5-3) unstable; urgency=low

  * Unnecessary information about old versions and dependencies have been
    removed from the documentation.    
  * Use debconf to ask questions.
  * Enabled report to a list of users through email.
  * Removed changeweb package suggestion (and fixed the rest).
	
 -- Jens Peter Secher <jpsecher@diku.dk>  Sun,  9 Sep 2001 10:54:16 +0200

changetrack (3.5-2) unstable; urgency=low

  * Parameters can be set in /etc/default/changetrack file.  Initially
    copied from file ./defaults .
  * Changed perl module dependencies to libxxx-yyy-perl.
  * For non-root users, the defaults configuration file is now
    ~/.changetrackrc and the output directory is ~/.changetrack/ .
  * The debian/copyright now refers to GPL (instead of quoting it).

 -- Jens Peter Secher <jpsecher@diku.dk>  Thu, 23 Aug 2001 14:55:18 +0200

changetrack (3.5-1) unstable; urgency=low

  * Initial Release.
  * Created a Makefile from scratch.
  * Made changetrack operate quietly and check existence of changetrack
    when invoked from the cron.daily script.

 -- Jens Peter Secher <jpsecher@diku.dk>  Fri, 17 Aug 2001 13:21:12 +0200

=== debian/control ===
Source: changetrack
Section: utils
Priority: optional
Maintainer: Jens Peter Secher <jpsecher@diku.dk>
Build-Depends-Indep: debhelper
Standards-Version: 3.5.6

Package: changetrack
Architecture: all
Depends: debconf, perl, perl-modules, libmail-sendmail-perl, rcs
Recommends: 
Suggests: cron, ed
Description: Monitor (and recover from) changes to configuration files
 A program to monitor changes to a set of files.  If files are modified
 one day, and the machine starts working incorrectly some days later,
 changetrack can provide information on which files were modified, and
 help locate the problem.  Changetrack will also allow recovery of the
 files from any stage using RCS.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

SITE=http://www.eng.uwaterloo.ca/~cjmorlan/changetrack
SOURCE=changetrack
VERSION=3.6

get-orig-source:
	wget $(SITE)/$(SOURCE)_$(VERSION).tar.gz
	mv $(SOURCE) $(SOURCE)-$(VERSION).tar.gz

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installcron
	dh_installmanpages
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# watch control file for uscan
# Site                      Directory               Pattern               Version Script
http://www.eng.uwaterloo.ca /~cjmorlan/changetrack/ change([0-9_.].*)\\.tar\\.gz debian  uupdate

## changetrack 4.7

=== Makefile ===
test:
	@sh test.sh

install: test
	cp changetrack /usr/local/bin/
	cp changetrack.man /usr/local/man/man1/
	cp changetrack.conf /etc/
	@echo "Examine and customize /etc/changetrack.conf."
	@echo "Add changetrack to your crontab."

=== debian/changelog ===
changetrack (4.7-9) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/README.source: added an explanation about the "missing" version 4.7 on
    upstream site.
  * debian/watch: updated the search rule to work with current SF parameters.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 09 Apr 2025 14:02:03 -0300

changetrack (4.7-8) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/copyright: split GPL license text into GPL-2 and GPL-2+.
  * debian/tests/control: set a CI test as superficial. (Closes: #969811)
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 17:51:45 -0300

changetrack (4.7-7) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed VCS fields to point to Salsa.
  * debian/copyright: updated packaging copyright names and years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Mar 2020 22:30:33 -0300

changetrack (4.7-6) unstable; urgency=medium

  * QA upload.
  * Fix access to internal dpkg database.  (Closes: #905802)
  * Set "Rules-Requires-Root" to "no" as changetrack does not need
    (fake)root to build.
  * Use the https:// variant of the link to the copyright spec in
    debian/copyright.

 -- Niels Thykier <niels@thykier.net>  Sun, 11 Nov 2018 17:08:52 +0000

changetrack (4.7-5) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/control:
      - Added the Vcs-Browser field.
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-Hg field to use https.
  * debian/copyright: updated the packaging copyright years.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Dec 2016 22:58:25 -0200

changetrack (4.7-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/control:
      - Added rcs to Build-Depends field.
      - Improved the long description.
      - Updated the Vcs-Hg to use the canonical format.
  * debian/copyright:
      - Dropped dot-zero from GPL license short name.
      - Fixed the packaging license.
      - Updated the packaging copyright information.
  * debian/defaults: moved to debian/defaults/changetrack.
  * debian/install: added to install some files.
  * debian/manpages: added to install the upstream manpage.
  * debian/rules: migrated to new (reduced) format.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Dec 2015 14:17:30 -0200

changetrack (4.7-3) experimental; urgency=low

  * QA upload.
  * Bump Standards-Version to 3.9.6
  * Update debian/copyright to version 1.0
  * Fix a spelling error in manpage

 -- Joao Pedro Avelino Lara <ti.joaop@gmail.com>  Tue, 09 Dec 2014 11:18:02 -0200

changetrack (4.7-2) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Omit hostname from default destination e-mail address in debian/defaults
    to fix e-mail sending with forwarder-only MTAs. (Closes: #637420)
  * Add build-arch and build-indep to debian/rules.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.

 -- Emanuele Rocca <ema@debian.org>  Sun, 23 Mar 2014 16:18:50 +0100

changetrack (4.7-1) unstable; urgency=low

  * New upstream version.
    (Closes: #616370)
  * Patch reject-weird-filenames is now included upstream.
  * Bump Standards-Version to 3.9.2, no change.

 -- Jens Peter Secher <jps@debian.org>  Sun, 17 Apr 2011 21:03:11 +0200

changetrack (4.5-4) unstable; urgency=low

  * Converted to dpkg-source format 3.0 (quilt).
  * Depend on ${misc:Depends}.

 -- Jens Peter Secher <jps@debian.org>  Sun, 17 Apr 2011 20:42:05 +0200

changetrack (4.5-3) unstable; urgency=medium

  * [reject-weird-filenames.diff] Also reject filenames with exclamation
    marks, avoid spaces in auxiliary files, and quote filenames wherever
    possible.  Urgency due to security implications.

 -- Jens Peter Secher <jps@debian.org>  Sun, 20 Sep 2009 15:01:44 +0200

changetrack (4.5-2) unstable; urgency=low

  * [reject-weird-filenames.diff] Fix possible local exploit by rejecting
    filenames with unsafe characters (cf. CVE-2009-3233).  Thanks to Marek
    Grzybowski and Andrzej Lemieszek.
    (Closes: #546791)

 -- Jens Peter Secher <jps@debian.org>  Thu, 17 Sep 2009 22:32:43 +0200

changetrack (4.5-1) unstable; urgency=low

  * New upstream version.
  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Added Homepage for upstream.
  * Upgraded to Standards-Version to 3.8.1 and debhelper compatibility to
    7.

 -- Jens Peter Secher <jps@debian.org>  Sat, 18 Apr 2009 21:43:09 +0200

changetrack (4.3-3) unstable; urgency=low

  * Send mail via /usr/sbin/sendmail instead of Mail::Sendmail to avoid
    assuming that there is something listening on port 25, thanks to Ian
    Zimmerman.  (Closes: bug#367987)
  * Bump Standards-Version to 3.7.1 and debhelper compatibility to 5.

 -- Jens Peter Secher <jps@debian.org>  Sat, 20 May 2006 15:58:43 +0200

changetrack (4.3-2) unstable; urgency=low

  * Update FSF address in copyright file.
  * Updated upstream contact points.
  * Bump Standards-Version to 3.6.2.

 -- Jens Peter Secher <jps@debian.org>  Wed, 28 Sep 2005 10:49:50 +0200

changetrack (4.3-1) unstable; urgency=low



=== debian/control ===
Source: changetrack
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), rcs
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://changetrack.sf.net
Vcs-Browser: https://salsa.debian.org/debian/changetrack
Vcs-Git: https://salsa.debian.org/debian/changetrack.git

Package: changetrack
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: cron, ed | rcs
Description: monitor changes to (configuration) files
 changetrack automatically monitors changes to a set of files. If the files
 are modified one day and the machine stops working correctly some days later,
 changetrack will provide information on which files were modified and thus
 help locate the problem.
 .
 If you tell changetrack to use either the line editor ed (the default) or The
 GNU Revision Control System (RCS), you can recover files to any previous stage.
 If you do not want to install Perl, try out the filetraq or diffmon package.
 .
 changetrack is a filesystem watch, similar to etckeeper.

=== debian/tests/control ===
Test-Command: changetrack -h 2>&1 | grep ', version'
Restrictions: superficial

=== debian/watch ===
version=4
https://sf.net/changetrack/change-?([0-9]+)_([0-9]+)\.tar\.gz
